org.apache.hc.client5.http.entity.mime

## Class MimeField

- java.lang.Object
- - org.apache.hc.client5.http.entity.mime.MimeField

    public class MimeField
    extends Object

Minimal MIME field.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`MimeField(MimeField from)` Constructs a new instance by copying another's properties.
`MimeField(String name, String value)` Constructs a new instance.
`MimeField(String name, String value, List<org.apache.hc.core5.http.NameValuePair> parameters)` Constructs a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBody()` Converts this instance to a body String.
`String` `getName()` Gets the field name.
`List<org.apache.hc.core5.http.NameValuePair>` `getParameters()` Gets the field parameters.
`String` `getValue()` Gets the field value.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MimeField

    public MimeField(String name,
                     String value)

Constructs a new instance.

Parameters:
  `name` - the field name.
  `value` - the field value.

#### MimeField

    public MimeField(String name,
                     String value,
                     List<org.apache.hc.core5.http.NameValuePair> parameters)

Constructs a new instance.

Parameters:
  `name` - the field name.
  `value` - the field value.
  `parameters` - the field parameters.
Since:
  4.6

#### MimeField

    public MimeField(MimeField from)

Constructs a new instance by copying another's properties.

Parameters:
  `from` - the source field.

### Method Detail

#### getName

    public String getName()

Gets the field name.

Returns:
  the field name.

#### getValue

    public String getValue()

Gets the field value.

Returns:
  the field value.
Since:
  4.6

#### getBody

    public String getBody()

Converts this instance to a body String.

Returns:
  this instance as a body String.

#### getParameters

    public List<org.apache.hc.core5.http.NameValuePair> getParameters()

Gets the field parameters.

Returns:
  the field parameters.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`